package extend.zp.player.rulestate;

import com.game.Global;
import com.game.player.state.PlayerWaitState;
import com.taurus.core.entity.ITArray;
import com.taurus.core.entity.ITObject;
import com.taurus.core.entity.TArray;
import com.taurus.core.plugin.redis.Redis;
import com.taurus.core.util.Logger;
import extend.zp.EXMainServer;
import extend.zp.EXPlayer;
import extend.zp.OpCard;
import extend.zp.RuleWeight;
import extend.zp.tip.Tip;
import extend.zp.uitl.CardUtil;
import extend.zp.uitl.Paixing;
import redis.clients.jedis.Jedis;

public class PRCheck {
	public static final Logger logger = Logger.getLogger(PRCheck.class);

	public static boolean check(EXPlayer owner) {
		Jedis jedis = Redis.use("group1_db5").getJedis();
		String fp = jedis.hget("pao"+owner.room+owner.room.round+owner.playerid,"fanpao");
		jedis.close();
		if (fp!=null){
			return false;
		}
		return true;
	}


}
